Subject: Re: [netatalk-admins] atalkd won't start: too many routes/iface

From: [email-masked] (Markus Boie)
Date: Wed, 30 Jun 1999 10:08:43 +0200

>I just tried to play your game. Both interfaces on the same segment only
>eth1 configured in the atalkd.conf. Everything seems to work fine - no
>error messages. All the services show up.
>RH-6.0 (kernel 2.2.5) netatalk-1.4b2+assun2.1.3.
>I have only one network configured not a range. 
>You may want to try to run it on a separate segment without other
>machines, have one mac to test it. The problem may really be that you
>have a too wide network range. 

Thanks Konstantin - that was indeed the problem. On our AppleTalk router (Helios on a Sun) we had defined a network range of 1-60000. Setting this to 1-200 was all I needed to do to make atalkd on the Linux box start.

Two interfaces are not a problem. At least not if only one of them is configured in atalkd.conf.

And yes, two interfaces on a machine do make sense in a switched network environment.

Thanks for all your help
Markus